Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574718 - 4.16.3-301.fc28.aarch64 panics and reboots on HPE ProLiant m400 Server [NEEDINFO]
Summary: 4.16.3-301.fc28.aarch64 panics and reboots on HPE ProLiant m400 Server
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1285107 (view as bug list)
Depends On:
Blocks: 1045641 1365499
TreeView+ depends on / blocked
 
Reported: 2018-05-03 21:31 UTC by Kevin Fenzi
Modified: 2018-08-29 15:15 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:15:37 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
Wrokaround for m400 uart irq firmware description (2.30 KB, patch)
2018-05-09 14:10 UTC, Mark Salter
no flags Details | Diff

Description Kevin Fenzi 2018-05-03 21:31:16 UTC
Just booting the f28 kernel gives a blank screen then a reboot, but if I add: 

earlycon=uart,mmio32,0x1c021000 initcalldebug keep_bootcon uefi_debug debug earlyprintk=efi,keep

I get the following: 

EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
[    0.000000] Booting Linux on physical CPU 0x0000000000 [0x500f0001]
[    0.000000] Linux version 4.16.3-301.fc28.aarch64 (mockbuild@buildvm-aarch64-02.arm.fedoraproject.org) (gcc version 8.0.1 20180324 (Red Hat 8.0.1-0.20) (GCC)) #1 SMP Mon Apr 23 21:45:59 UTC 2018
[    0.000000] earlycon: uart0 at MMIO32 0x000000001c021000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] debug: skip boot console de-registration.
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: EFI v2.60 by HPE
[    0.000000] efi:  ACPI 2.0=0x4ff8000000  SMBIOS 3.0=0x4ff79f0000  MEMATTR=0x4ff24c6298  RNG=0x4ff7e7f498 
[    0.000000] random: fast init done
[    0.000000] efi: seeding entropy pool
[    0.000000] cma: Reserved 64 MiB at 0x00000040fc000000
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x0000004FF8000000 000024 (v02 HP    )
[    0.000000] ACPI: XSDT 0x0000004FF7FF0000 000084 (v01 HP     ProLiant 00000001      01000013)
[    0.000000] ACPI: FACP 0x0000004FF7FB0000 000114 (v06 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: DSDT 0x0000004FF7F80000 0023CA (v05 HPE    DSDT     00000001 INTL 20160527)
[    0.000000] ACPI: SSDT 0x0000004FF7FE0000 000032 (v02 HPE    UARTCLKS 00000001      01000013)
[    0.000000] ACPI: BERT 0x0000004FF7FD0000 000030 (v01 HPE    ProLiant 00000002 INTL 20160527)
[    0.000000] ACPI: HEST 0x0000004FF7FC0000 0002A8 (v01 HPE    ProLiant 00000002 INTL 20160527)
[    0.000000] ACPI: DBG2 0x0000004FF7FA0000 0000A8 (v00 HPE    ProLiant 00000000 INTL 20160527)
[    0.000000] ACPI: GTDT 0x0000004FF7F90000 0000E0 (v02 HPE    ProLiant 00000001 INTL 20160527)
[    0.000000] ACPI: APIC 0x0000004FF7F70000 0002C4 (v03 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: MCFG 0x0000004FF7F60000 00003C (v01 APM    XGENE    00000001 HP   00000001)
[    0.000000] ACPI: SPMI 0x0000004FF7F50000 000041 (v05 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: RASF 0x0000004FF7F40000 000030 (v01 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: SPCR 0x0000004FF7F30000 000050 (v02 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: SSDT 0x0000004FF7F20000 0003CA (v02 HPE    PCISSDT  00000002 HPAG 00020000)
[    0.000000] ACPI: SPCR: Unexpected SPCR Access Width.  Defaulting to byte size
[    0.000000] ACPI: SPCR: console: uart,mmio32,0x1c021000
[    0.000000] ACPI: NUMA: Failed to initialise from firmware
[    0.000000] NUMA: Faking a node at [mem 0x0000000000000000-0x0000004fffffffff]
[    0.000000] NUMA: NODE_DATA [mem 0x4ffff9f500-0x4ffffacfff]
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000004000000000-0x00000040ffffffff]
[    0.000000]   Normal   [mem 0x0000004100000000-0x0000004fffffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000004000000000-0x00000040001fffff]
[    0.000000]   node   0: [mem 0x0000004000200000-0x0000004001ffffff]
[    0.000000]   node   0: [mem 0x00000040023b0000-0x0000004ff733ffff]
[    0.000000]   node   0: [mem 0x0000004ff7340000-0x0000004ff77cffff]
[    0.000000]   node   0: [mem 0x0000004ff77d0000-0x0000004ff78cffff]
[    0.000000]   node   0: [mem 0x0000004ff78d0000-0x0000004ff7e7ffff]
[    0.000000]   node   0: [mem 0x0000004ff7e80000-0x0000004ff7e9bfff]
[    0.000000]   node   0: [mem 0x0000004ff7e9c000-0x0000004ff7efffff]
[    0.000000]   node   0: [mem 0x0000004ff7f10000-0x0000004fffffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000004000000000-0x0000004fffffffff]
[    0.000000] On node 0 totalpages: 16776256
[    0.000000]   DMA32 zone: 16384 pages used for memmap
[    0.000000]   DMA32 zone: 0 pages reserved
[    0.000000]   DMA32 zone: 1047632 pages, LIFO batch:31
[    0.000000]   Normal zone: 245760 pages used for memmap
[    0.000000]   Normal zone: 15728624 pages, LIFO batch:31
[    0.000000] psci: is not implemented in ACPI.
[    0.000000] percpu: Embedded 23 pages/cpu @        (ptrval) s55448 r8192 d30568 u94208
[    0.000000] pcpu-alloc: s55448 r8192 d30568 u94208 alloc=23*4096
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 [0] 4 [0] 5 [0] 6 [0] 7 
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 16514112
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/uefi/vmlinuz-f28 ip=dhcp ksdevice=eth0 net.ifnames=0 ks=http://10.5.126.23/repo/rhel/ks/hardware-fedora-28-moonshot inst.repo=http://10.5.126.23/pub/fedora/linux/releases/28/Everything/aarch64/os/ earlycon=uart,mmio32,0x1c021000 initcalldebug keep_bootcon uefi_debug debug earlyprintk=efi,keep
[    0.000000] software IO TLB [mem 0x40f7fff000-0x40fbfff000] (64MB) mapped at [        (ptrval)-        (ptrval)]
[    0.000000] Memory: 65831960K/67105024K available (9532K kernel code, 1838K rwdata, 4084K rodata, 5568K init, 965K bss, 1207528K reserved, 65536K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] ftrace: allocating 35959 entries in 141 pages
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=8.
[    0.000000]  Tasks RCU enabled.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS: 64, nr_irqs: 64, preallocated irqs: 0
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] arch_timer: Failed to initialize memory-mapped timer.
[    0.000000] arch_timer: cp15 timer(s) running at 50.00MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xb8812736b, max_idle_ns: 440795202655 ns
[    0.000002] sched_clock: 56 bits at 50MHz, resolution 20ns, wraps every 4398046511100ns
[    0.095754] Console: colour dummy device 80x25
[    0.148937] ACPI: Core revision 20180105
[    0.197539] ACPI: 3 ACPI AML tables successfully acquired and loaded
[    0.273573] Calibrating delay loop (skipped), value calculated using timer frequency.. 100.00 BogoMIPS (lpj=500000)
[    0.414982] pid_max: default: 32768 minimum: 301
[    0.470219] Security Framework initialized
[    0.519205] Yama: becoming mindful.
[    0.560915] SELinux:  Initializing.
[    0.602683] SELinux:  Starting in permissive mode
[    0.666712] Dentry cache hash table entries: 8388608 (order: 14, 67108864 bytes)
[    0.759177] Inode-cache hash table entries: 4194304 (order: 13, 33554432 bytes)
[    0.846809] Mount-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.931272] Mountpoint-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    1.021486] ASID allocator initialised with 32768 entries
[    1.086118] Hierarchical SRCU implementation.
[    1.138944] Remapping and enabling EFI services.
[    1.194193]   EFI remap 0x0000000010510000 =>         (ptrval)
[    1.263975]   EFI remap 0x0000000010548000 =>         (ptrval)
[    1.333758]   EFI remap 0x0000000017000000 =>         (ptrval)
[    1.403541]   EFI remap 0x000000001c024000 =>         (ptrval)
[    1.473326]   EFI remap 0x000000001f2a0000 =>         (ptrval)
[    1.543113]   EFI remap 0x0000004002330000 =>         (ptrval)
[    1.612951]   EFI remap 0x0000004ff7340000 =>         (ptrval)
[    1.682815]   EFI remap 0x0000004ff78d0000 =>         (ptrval)
[    1.752883] smp: Bringing up secondary CPUs ...
[    1.807271] Detected PIPT I-cache on CPU1
[    1.807298] CPU1: Booted secondary processor 0x0000000001 [0x500f0001]
[    1.807542] Detected PIPT I-cache on CPU2
[    1.807563] CPU2: Booted secondary processor 0x0000000100 [0x500f0001]
[    1.807777] Detected PIPT I-cache on CPU3
[    1.807789] CPU3: Booted secondary processor 0x0000000101 [0x500f0001]
[    1.807994] Detected PIPT I-cache on CPU4
[    1.808013] CPU4: Booted secondary processor 0x0000000200 [0x500f0001]
[    1.808225] Detected PIPT I-cache on CPU5
[    1.808237] CPU5: Booted secondary processor 0x0000000201 [0x500f0001]
[    1.808444] Detected PIPT I-cache on CPU6
[    1.808464] CPU6: Booted secondary processor 0x0000000300 [0x500f0001]
[    1.808671] Detected PIPT I-cache on CPU7
[    1.808684] CPU7: Booted secondary processor 0x0000000301 [0x500f0001]
[    1.808719] smp: Brought up 1 node, 8 CPUs
[    2.738693] SMP: Total of 8 processors activated.
[    2.794854] CPU features: detected feature: 32-bit EL0 Support
[    2.864638] CPU features: detected feature: Kernel page table isolation (KPTI)
[    2.964522] CPU: All CPU(s) started at EL2
[    3.013533] alternatives: patching kernel code
[    3.073234] devtmpfs: initialized
[    3.113371] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    3.231041] futex hash table entries: 2048 (order: 6, 262144 bytes)
[    3.306767] pinctrl core: initialized pinctrl subsystem
[    3.369577] SMBIOS 3.0.0 present.
[    3.409212] DMI: HPE ProLiant m400 Server/ProLiant m400 Server, BIOS U02 08/19/2016
[    3.501057] NET: Registered protocol family 16
[    3.554398] audit: initializing netlink subsys (disabled)
[    3.619076] audit: type=2000 audit(0.550:1): state=initialized audit_enabled=0 res=1
[    3.711755] cpuidle: using governor menu
[    3.758744] vdso: 2 pages (1 code @ 00000000c44619d0, 1 data @ 00000000f0ac24d9)
[    3.847247] hw-breakpoint: found 4 breakpoint and 4 watchpoint registers.
[    3.930020] DMA: preallocated 256 KiB pool for atomic allocations
[    4.002971] ACPI: bus type PCI registered
[    4.050915] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    4.128071] Serial: AMBA PL011 UART driver
[    4.179542] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    4.259934] cryptd: max_cpu_qlen set to 1000
[    4.311456] ACPI: Added _OSI(Module Device)
[    4.361481] ACPI: Added _OSI(Processor Device)
[    4.414623] ACPI: Added _OSI(3.0 _SCP Extensions)
[    4.470884] ACPI: Added _OSI(Processor Aggregator Device)
[    4.535404] ACPI: Executed 1 blocks of module-level executable AML code
[    4.617400] ACPI: Interpreter enabled
[    4.661192] ACPI: Using GIC for interrupt routing
[    4.717475] ACPI: MCFG table detected, 1 entries
[    4.772918] HEST: Table parsing has been initialized.
[    4.835607] ACPI: Power Resource [SCVR] (off)
[    4.890482] ACPI: PCI Root Bridge [PCI3] (domain 0000 [bus 00-ff])
[    4.964450] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    5.062502] acpi PNP0A08:00: _OSC: platform does not support [AER]
[    5.136606] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug PME PCIeCapability]
[    5.228254] acpi PNP0A08:00: MCFG quirk: ECAM at [mem 0xa0d0000000-0xa0dfffffff] for [bus 00-ff] with xgene_v1_pcie_ecam_ops
[    5.362919] acpi PNP0A08:00: [Firmware Bug]: ECAM area [mem 0xa0d0000000-0xa0dfffffff] not reserved in ACPI namespace
[    5.607469] acpi PNP0A08:00: ECAM at [mem 0xa0d0000000-0xa0dfffffff] for [bus 00-ff]
[    5.700154] Remapped I/O 0x000000a100010000 to [io  0x0000-0xffff window]
[    5.781467] PCI host bridge to bus 0000:00
[    5.830456] pci_bus 0000:00: root bus resource [io  0x0000-0xffff window] (bus address [0x10000-0x1ffff])
[    5.944959] pci_bus 0000:00: root bus resource [mem 0xa020000000-0xa03fffffff window] (bus address [0x20000000-0x3fffffff])
[    6.078181] pci_bus 0000:00: root bus resource [mem 0xa060000000-0xa07fffffff window] (bus address [0x40000000-0x5fffffff])
[    6.211418] pci_bus 0000:00: root bus resource [mem 0xa110000000-0xa14fffffff window]
[    6.305123] pci_bus 0000:00: root bus resource [bus 00-ff]
[    6.370760] pci 0000:00:00.0: [10e8:e004] type 01 class 0x060400
[    6.442705] pci 0000:00:00.0: supports D1 D2
[    6.494153] pci 0000:01:00.0: [15b3:1007] type 00 class 0x020000
[    6.566521] pci 0000:01:00.0: reg 0x10: [mem 0xa022000000-0xa0220fffff 64bit]
[    6.652127] pci 0000:01:00.0: reg 0x18: [mem 0xa020000000-0xa021ffffff 64bit pref]
[    6.743141] pci 0000:01:00.0: reg 0x30: [mem 0x00000000-0x000fffff pref]
[    6.825102] pci 0000:01:00.0: reg 0x134: [mem 0xa114000000-0xa115ffffff 64bit pref]
[    6.916727] pci 0000:01:00.0: VF(n) BAR2 space: [mem 0xa114000000-0xa123ffffff 64bit pref] (contains BAR2 for 8 VFs)
[    7.044204] pci 0000:00:00.0: BAR 15: assigned [mem 0xa110000000-0xa121ffffff 64bit pref]
[    7.142071] pci 0000:00:00.0: BAR 14: assigned [mem 0xa020000000-0xa0201fffff]
[    7.228506] pci 0000:01:00.0: BAR 2: assigned [mem 0xa110000000-0xa111ffffff 64bit pref]
[    7.325481] pci 0000:01:00.0: BAR 9: assigned [mem 0xa112000000-0xa121ffffff 64bit pref]
[    7.422372] pci 0000:01:00.0: BAR 0: assigned [mem 0xa020000000-0xa0200fffff 64bit]
[    7.514145] pci 0000:01:00.0: BAR 6: assigned [mem 0xa020100000-0xa0201fffff pref]
[    7.604726] pci 0000:00:00.0: PCI bridge to [bus 01]
[    7.664111] pci 0000:00:00.0:   bridge window [mem 0xa020000000-0xa0201fffff]
[    7.749494] pci 0000:00:00.0:   bridge window [mem 0xa110000000-0xa121ffffff 64bit pref]
[    7.846678] vgaarb: loaded
[    7.879218] SCSI subsystem initialized
[    7.924118] libata version 3.00 loaded.
[    7.970018] ACPI: bus type USB registered
[    8.017998] usbcore: registered new interface driver usbfs
[    8.083631] usbcore: registered new interface driver hub
[    8.147207] usbcore: registered new device driver usb
[    8.207766] EDAC MC: Ver: 3.0.0
[    8.245484] Registered efivars operations
[    8.294608] NetLabel: Initializing
[    8.335275] NetLabel:  domain hash size = 128
[    8.387374] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    8.455001] NetLabel:  unlabeled traffic allowed by default
[    8.521802] clocksource: Switched to clocksource arch_sys_counter
[    8.620575] VFS: Disk quotas dquot_6.6.0
[    8.667547] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    8.749994] pnp: PnP ACPI init
[    8.786836] pnp: PnP ACPI: found 0 devices
[    8.838521] NET: Registered protocol family 2
[    8.891039] tcp_listen_portaddr_hash hash table entries: 32768 (order: 7, 524288 bytes)
[    8.987555] TCP established hash table entries: 524288 (order: 10, 4194304 bytes)
[    9.078545] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    9.159067] TCP: Hash tables configured (established 524288 bind 65536)
[    9.238430] UDP hash table entries: 32768 (order: 8, 1048576 bytes)
[    9.314025] UDP-Lite hash table entries: 32768 (order: 8, 1048576 bytes)
[    9.394894] NET: Registered protocol family 1
[    9.447095] PCI: CLS 64 bytes, default 128
[    9.496189] Unpacking initramfs...
[   15.897227] Freeing initrd memory: 53764K
[   15.945540] hw perfevents: enabled with armv8_pmuv3_0 PMU driver, 5 counters available
[   16.040322] kvm [1]: 8-bit VMID
[   16.078376] kvm [1]: vgic interrupt IRQ1
[   16.125384] kvm [1]: Hyp mode initialized successfully
[   16.205303] Initialise system trusted keyrings
[   16.258505] Key type blacklist registered
[   16.306519] workingset: timestamp_bits=37 max_order=24 bucket_order=0
[   16.385645] zbud: loaded
[   16.417166] SELinux:  Registering netfilter hooks
[   16.787477] NET: Registered protocol family 38
[   16.840628] Key type asymmetric registered
[   16.889610] Asymmetric key parser 'x509' registered
[   16.948056] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[   17.036641] io scheduler noop registered
[   17.083549] io scheduler deadline registered
[   17.134744] io scheduler cfq registered (default)
[   17.191011] io scheduler mq-deadline registered
[   17.245377] atomic64_test: passed
[   17.285648] xgene-gpio APMC0D14:00: X-Gene GPIO driver registered.
[   17.359674] pcieport 0000:00:00.0: can't derive routing for PCI INT A
[   17.436739] pcieport 0000:00:00.0: PCI INT A: no GSI
[   17.496265] pcie_pme: probe of 0000:00:00.0:pcie001 failed with error -22
[   17.578051] {1}[Hardware Error]: Hardware error from APEI Generic Hardware Error Source: 2
[   17.676965] {1}[Hardware Error]: event severity: fatal
[   17.738428] {1}[Hardware Error]:  Error 0, type: fatal
[   17.799890] {1}[Hardware Error]:   section_type: memory error
[   17.868634] {1}[Hardware Error]:   error_status: 0x0000000000001300
[   17.943618] {1}[Hardware Error]:   error_type: 10, invalid address
[   18.017562] Kernel panic - not syncing: Fatal hardware error!
[   18.086303] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.16.3-301.fc28.aarch64 #1
[   18.174700] Hardware name: HPE ProLiant m400 Server/ProLiant m400 Server, BIOS U02 08/19/2016
[   18.276621] Call trace:
[   18.305750]  dump_backtrace+0x0/0x148
[   18.349526]  show_stack+0x24/0x30
[   18.389047]  dump_stack+0x90/0xb0
[   18.428566]  panic+0x114/0x278
[   18.464967]  ghes_proc+0x1a0/0x830
[   18.505525]  ghes_probe+0x140/0x408
[   18.547127]  platform_drv_probe+0x60/0xc0
[   18.594966]  really_probe+0x204/0x3c8
[   18.638645]  driver_probe_device+0x54/0xd8
[   18.687525]  __driver_attach+0x124/0x128
[   18.734325]  bus_for_each_dev+0x70/0xa8
[   18.780085]  driver_attach+0x30/0x40
[   18.822725]  bus_add_driver+0x25c/0x288
[   18.868485]  driver_register+0x68/0x100
[   18.914245]  __platform_driver_register+0x54/0x60
[   18.970407]  ghes_init+0xc0/0x1c4
[   19.009925]  do_one_initcall+0x44/0x12c
[   19.055687]  kernel_init_freeable+0x1d0/0x260
[   19.107685]  kernel_init+0x18/0x10c
[   19.149285]  ret_from_fork+0x10/0x18
[   19.191930] SMP: stopping secondary CPUs
[   19.238835] Kernel Offset: 0x20a59ceb0000 from 0xffff000008000000
[   19.311733] CPU features: 0x0802000
[   19.353333] Memory Limit: none
[   19.389736] Rebooting in 30 seconds..

A rhel 7.4 kernel boots fine and installs on this same hardware.

Comment 1 Peter Robinson 2018-05-04 12:41:03 UTC
msalter, jcm any ideas?

Comment 2 Mark Salter 2018-05-04 19:13:23 UTC
yes, moonshot firmware issue.

See bug 1344237

Comment 3 Mark Salter 2018-05-04 19:16:38 UTC
Workaround is to use "hest_disable" on command line.

Comment 4 Kevin Fenzi 2018-05-04 20:08:01 UTC
alas, just with hest_disable I get a blank screen (but I can ping the host?)

adding "earlycon=uart,mmio32,0x1c021000" gives me a console that hangs with: 

EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
[    0.000000] Booting Linux on physical CPU 0x0000000000 [0x500f0001]
[    0.000000] Linux version 4.16.3-301.fc28.aarch64 (mockbuild@buildvm-aarch64-02.arm.fedoraproject.org) (gcc version 8.0.1 20180324 (Red Hat 8.0.1-0.20) (GCC)) #1 SMP Mon Apr 23 21:45:59 UTC 2018
[    0.000000] earlycon: uart0 at MMIO32 0x000000001c021000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: EFI v2.60 by HPE
[    0.000000] efi:  ACPI 2.0=0x4ff8000000  SMBIOS 3.0=0x4ff79f0000  MEMATTR=0x4ff24c6298  RNG=0x4ff7e7f498 
[    0.000000] random: fast init done
[    0.000000] efi: seeding entropy pool
[    0.000000] cma: Reserved 64 MiB at 0x00000040fc000000
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x0000004FF8000000 000024 (v02 HP    )
[    0.000000] ACPI: XSDT 0x0000004FF7FF0000 000084 (v01 HP     ProLiant 00000001      01000013)
[    0.000000] ACPI: FACP 0x0000004FF7FB0000 000114 (v06 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: DSDT 0x0000004FF7F80000 0023CA (v05 HPE    DSDT     00000001 INTL 20160527)
[    0.000000] ACPI: SSDT 0x0000004FF7FE0000 000032 (v02 HPE    UARTCLKS 00000001      01000013)
[    0.000000] ACPI: BERT 0x0000004FF7FD0000 000030 (v01 HPE    ProLiant 00000002 INTL 20160527)
[    0.000000] ACPI: HEST 0x0000004FF7FC0000 0002A8 (v01 HPE    ProLiant 00000002 INTL 20160527)
[    0.000000] ACPI: DBG2 0x0000004FF7FA0000 0000A8 (v00 HPE    ProLiant 00000000 INTL 20160527)
[    0.000000] ACPI: GTDT 0x0000004FF7F90000 0000E0 (v02 HPE    ProLiant 00000001 INTL 20160527)
[    0.000000] ACPI: APIC 0x0000004FF7F70000 0002C4 (v03 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: MCFG 0x0000004FF7F60000 00003C (v01 APM    XGENE    00000001 HP   00000001)
[    0.000000] ACPI: SPMI 0x0000004FF7F50000 000041 (v05 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: RASF 0x0000004FF7F40000 000030 (v01 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: SPCR 0x0000004FF7F30000 000050 (v02 HPE    ProLiant 00000001 HP   00000001)
[    0.000000] ACPI: SSDT 0x0000004FF7F20000 0003CA (v02 HPE    PCISSDT  00000002 HPAG 00020000)
[    0.000000] ACPI: SPCR: Unexpected SPCR Access Width.  Defaulting to byte size
[    0.000000] ACPI: SPCR: console: uart,mmio32,0x1c021000
[    0.000000] ACPI: NUMA: Failed to initialise from firmware
[    0.000000] NUMA: Faking a node at [mem 0x0000000000000000-0x0000004fffffffff]
[    0.000000] NUMA: NODE_DATA [mem 0x4ffff9e500-0x4ffffabfff]
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000004000000000-0x00000040ffffffff]
[    0.000000]   Normal   [mem 0x0000004100000000-0x0000004fffffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000004000000000-0x00000040001fffff]
[    0.000000]   node   0: [mem 0x0000004000200000-0x0000004001ffffff]
[    0.000000]   node   0: [mem 0x00000040023b0000-0x0000004ff733ffff]
[    0.000000]   node   0: [mem 0x0000004ff7340000-0x0000004ff77cffff]
[    0.000000]   node   0: [mem 0x0000004ff77d0000-0x0000004ff78cffff]
[    0.000000]   node   0: [mem 0x0000004ff78d0000-0x0000004ff7e7ffff]
[    0.000000]   node   0: [mem 0x0000004ff7e80000-0x0000004ff7e9bfff]
[    0.000000]   node   0: [mem 0x0000004ff7e9c000-0x0000004ff7efffff]
[    0.000000]   node   0: [mem 0x0000004ff7f10000-0x0000004fffffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000004000000000-0x0000004fffffffff]
[    0.000000] psci: is not implemented in ACPI.
[    0.000000] percpu: Embedded 23 pages/cpu @        (ptrval) s55448 r8192 d30568 u94208
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 16514112
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=/uefi/vmlinuz-f28 ip=dhcp ksdevice=eth0 net.ifnames=0 ks=http://10.5.126.23/repo/rhel/ks/hardware-fedora-28-moonshot inst.repo=http://10.5.126.23/pub/fedora/linux/releases/28/Everything/aarch64/os/ hest_disable earlycon=uart,mmio32,0x1c021000
[    0.000000] software IO TLB [mem 0x40f7fff000-0x40fbfff000] (64MB) mapped at [        (ptrval)-        (ptrval)]
[    0.000000] Memory: 65831952K/67105024K available (9532K kernel code, 1838K rwdata, 4084K rodata, 5568K init, 965K bss, 1207536K reserved, 65536K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] ftrace: allocating 35959 entries in 141 pages
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=8.
[    0.000000]  Tasks RCU enabled.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=8
[    0.000000] NR_IRQS: 64, nr_irqs: 64, preallocated irqs: 0
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] arch_timer: Failed to initialize memory-mapped timer.
[    0.000000] arch_timer: cp15 timer(s) running at 50.00MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xb8812736b, max_idle_ns: 440795202655 ns
[    0.000002] sched_clock: 56 bits at 50MHz, resolution 20ns, wraps every 4398046511100ns
[    0.095757] Console: colour dummy device 80x25
[    0.148939] ACPI: Core revision 20180105
[    0.197544] ACPI: 3 ACPI AML tables successfully acquired and loaded
[    0.273573] Calibrating delay loop (skipped), value calculated using timer frequency.. 100.00 BogoMIPS (lpj=500000)
[    0.398478] pid_max: default: 32768 minimum: 301
[    0.453717] Security Framework initialized
[    0.502703] Yama: becoming mindful.
[    0.544411] SELinux:  Initializing.
[    0.593962] Dentry cache hash table entries: 8388608 (order: 14, 67108864 bytes)
[    0.686419] Inode-cache hash table entries: 4194304 (order: 13, 33554432 bytes)
[    0.774048] Mount-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.858510] Mountpoint-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.948735] ASID allocator initialised with 32768 entries
[    1.013369] Hierarchical SRCU implementation.
[    1.066217] Remapping and enabling EFI services.
[    1.121464]   EFI remap 0x0000000010510000 =>         (ptrval)
[    1.191246]   EFI remap 0x0000000010548000 =>         (ptrval)
[    1.261029]   EFI remap 0x0000000017000000 =>         (ptrval)
[    1.352380]   EFI remap 0x000000001c024000 =>         (ptrval)
[    1.422165]   EFI remap 0x000000001f2a0000 =>         (ptrval)
[    1.491952]   EFI remap 0x0000004002330000 =>         (ptrval)
[    1.561790]   EFI remap 0x0000004ff7340000 =>         (ptrval)
[    1.631653]   EFI remap 0x0000004ff78d0000 =>         (ptrval)
[    1.701722] smp: Bringing up secondary CPUs ...
[    1.756106] Detected PIPT I-cache on CPU1
[    1.756133] CPU1: Booted secondary processor 0x0000000001 [0x500f0001]
[    1.756376] Detected PIPT I-cache on CPU2
[    1.756396] CPU2: Booted secondary processor 0x0000000100 [0x500f0001]
[    1.756615] Detected PIPT I-cache on CPU3
[    1.756627] CPU3: Booted secondary processor 0x0000000101 [0x500f0001]
[    1.756831] Detected PIPT I-cache on CPU4
[    1.756850] CPU4: Booted secondary processor 0x0000000200 [0x500f0001]
[    1.757062] Detected PIPT I-cache on CPU5
[    1.757074] CPU5: Booted secondary processor 0x0000000201 [0x500f0001]
[    1.757280] Detected PIPT I-cache on CPU6
[    1.757299] CPU6: Booted secondary processor 0x0000000300 [0x500f0001]
[    1.757509] Detected PIPT I-cache on CPU7
[    1.757521] CPU7: Booted secondary processor 0x0000000301 [0x500f0001]
[    1.757556] smp: Brought up 1 node, 8 CPUs
[    2.687531] SMP: Total of 8 processors activated.
[    2.743797] CPU features: detected feature: 32-bit EL0 Support
[    2.813580] CPU features: detected feature: Kernel page table isolation (KPTI)
[    2.913608] CPU: All CPU(s) started at EL2
[    2.962619] alternatives: patching kernel code
[    3.022366] devtmpfs: initialized
[    3.062447] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    3.180111] futex hash table entries: 2048 (order: 6, 262144 bytes)
[    3.255827] pinctrl core: initialized pinctrl subsystem
[    3.318640] SMBIOS 3.0.0 present.
[    3.358271] DMI: HPE ProLiant m400 Server/ProLiant m400 Server, BIOS U02 08/19/2016
[    3.450121] NET: Registered protocol family 16
[    3.503447] audit: initializing netlink subsys (disabled)
[    3.568110] audit: type=2000 audit(0.540:1): state=initialized audit_enabled=0 res=1
[    3.660794] cpuidle: using governor menu
[    3.707767] vdso: 2 pages (1 code @ 00000000f6950993, 1 data @ 000000004e83416b)
[    3.796274] hw-breakpoint: found 4 breakpoint and 4 watchpoint registers.
[    3.879050] DMA: preallocated 256 KiB pool for atomic allocations
[    3.951999] ACPI: bus type PCI registered
[    3.999943] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    4.077097] Serial: AMBA PL011 UART driver
[    4.128560] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    4.208942] cryptd: max_cpu_qlen set to 1000
[    4.260539] ACPI: Added _OSI(Module Device)
[    4.310578] ACPI: Added _OSI(Processor Device)
[    4.363720] ACPI: Added _OSI(3.0 _SCP Extensions)
[    4.419987] ACPI: Added _OSI(Processor Aggregator Device)
[    4.484608] ACPI: Executed 1 blocks of module-level executable AML code
[    4.566609] ACPI: Interpreter enabled
[    4.610399] ACPI: Using GIC for interrupt routing
[    4.666679] ACPI: MCFG table detected, 1 entries
[    4.721905] HEST: Table parsing disabled.
[    4.772126] ACPI: Power Resource [SCVR] (off)
[    4.826987] ACPI: PCI Root Bridge [PCI3] (domain 0000 [bus 00-ff])
[    4.900959] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    4.999009] acpi PNP0A08:00: _OSC: platform does not support [AER]
[    5.073114] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug PME PCIeCapability]
[    5.164751] acpi PNP0A08:00: MCFG quirk: ECAM at [mem 0xa0d0000000-0xa0dfffffff] for [bus 00-ff] with xgene_v1_pcie_ecam_ops
[    5.299423] acpi PNP0A08:00: [Firmware Bug]: ECAM area [mem 0xa0d0000000-0xa0dfffffff] not reserved in ACPI namespace
[    5.426438] acpi PNP0A08:00: ECAM at [mem 0xa0d0000000-0xa0dfffffff] for [bus 00-ff]
[    5.519124] Remapped I/O 0x000000a100010000 to [io  0x0000-0xffff window]
[    5.600432] PCI host bridge to bus 0000:00
[    5.649419] pci_bus 0000:00: root bus resource [io  0x0000-0xffff window] (bus address [0x10000-0x1ffff])
[    5.763927] pci_bus 0000:00: root bus resource [mem 0xa020000000-0xa03fffffff window] (bus address [0x20000000-0x3fffffff])
[    5.897150] pci_bus 0000:00: root bus resource [mem 0xa060000000-0xa07fffffff window] (bus address [0x40000000-0x5fffffff])
[    6.030373] pci_bus 0000:00: root bus resource [mem 0xa110000000-0xa14fffffff window]
[    6.124076] pci_bus 0000:00: root bus resource [bus 00-ff]
[    6.193174] pci 0000:01:00.0: VF(n) BAR2 space: [mem 0xa114000000-0xa123ffffff 64bit pref] (contains BAR2 for 8 VFs)
[    6.320675] pci 0000:00:00.0: BAR 15: assigned [mem 0xa110000000-0xa121ffffff 64bit pref]
[    6.418545] pci 0000:00:00.0: BAR 14: assigned [mem 0xa020000000-0xa0201fffff]
[    6.607870] pci 0000:01:00.0: BAR 2: assigned [mem 0xa110000000-0xa111ffffff 64bit pref]
[    6.704847] pci 0000:01:00.0: BAR 9: assigned [mem 0xa112000000-0xa121ffffff 64bit pref]
[    6.801733] pci 0000:01:00.0: BAR 0: assigned [mem 0xa020000000-0xa0200fffff 64bit]
[    6.893505] pci 0000:01:00.0: BAR 6: assigned [mem 0xa020100000-0xa0201fffff pref]
[    6.984086] pci 0000:00:00.0: PCI bridge to [bus 01]
[    7.043471] pci 0000:00:00.0:   bridge window [mem 0xa020000000-0xa0201fffff]
[    7.128855] pci 0000:00:00.0:   bridge window [mem 0xa110000000-0xa121ffffff 64bit pref]
[    7.226028] vgaarb: loaded
[    7.258563] SCSI subsystem initialized
[    7.303502] ACPI: bus type USB registered
[    7.351480] usbcore: registered new interface driver usbfs
[    7.417124] usbcore: registered new interface driver hub
[    7.480697] usbcore: registered new device driver usb
[    7.541255] EDAC MC: Ver: 3.0.0
[    7.578968] Registered efivars operations
[    7.628111] NetLabel: Initializing
[    7.668778] NetLabel:  domain hash size = 128
[    7.720879] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    7.788610] NetLabel:  unlabeled traffic allowed by default
[    7.855402] clocksource: Switched to clocksource arch_sys_counter
[    7.954038] VFS: Disk quotas dquot_6.6.0
[    8.001009] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    8.083457] pnp: PnP ACPI init
[    8.120306] pnp: PnP ACPI: found 0 devices
[    8.172002] NET: Registered protocol family 2
[    8.224527] tcp_listen_portaddr_hash hash table entries: 32768 (order: 7, 524288 bytes)
[    8.321034] TCP established hash table entries: 524288 (order: 10, 4194304 bytes)
[    8.412017] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    8.492539] TCP: Hash tables configured (established 524288 bind 65536)
[    8.571878] UDP hash table entries: 32768 (order: 8, 1048576 bytes)
[    8.647472] UDP-Lite hash table entries: 32768 (order: 8, 1048576 bytes)
[    8.728344] NET: Registered protocol family 1
[    8.780641] Unpacking initramfs...
[   15.181685] Freeing initrd memory: 53764K
[   15.229995] hw perfevents: enabled with armv8_pmuv3_0 PMU driver, 5 counters available
[   15.324787] kvm [1]: 8-bit VMID
[   15.362849] kvm [1]: vgic interrupt IRQ1
[   15.409871] kvm [1]: Hyp mode initialized successfully
[   15.489874] Initialise system trusted keyrings
[   15.543041] Key type blacklist registered
[   15.591050] workingset: timestamp_bits=37 max_order=24 bucket_order=0
[   15.670153] zbud: loaded
[   16.015812] NET: Registered protocol family 38
[   16.068965] Key type asymmetric registered
[   16.117950] Asymmetric key parser 'x509' registered
[   16.176397] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[   16.264991] io scheduler noop registered
[   16.311905] io scheduler deadline registered
[   16.363106] io scheduler cfq registered (default)
[   16.419370] io scheduler mq-deadline registered
[   16.473714] atomic64_test: passed
[   16.513946] xgene-gpio APMC0D14:00: X-Gene GPIO driver registered.
[   16.587964] pcieport 0000:00:00.0: can't derive routing for PCI INT A
[   16.665033] pcieport 0000:00:00.0: PCI INT A: no GSI
[   16.724567] pcie_pme: probe of 0000:00:00.0:pcie001 failed with error -22
[   16.806302] GHES: HEST is not enabled!
[   16.851158] ACPI GTDT: [Firmware Bug]: failed to get the Watchdog base address.
[   17.018342] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[   17.125464] dw-apb-uart APMC0D08:00: cannot get irq

Comment 5 Mark Salter 2018-05-04 20:39:24 UTC
I thought fedora already had a patch for that. It's another firmware issue with moonshot (and mustang boards) which got uncovered around 4.15. The UART DSDT node erroneously indicates it is a consumer of the interrupt which is wrong. This works around it but is not something upstream would want. For some reason, mustang boots 4.16.5-300 without this though, so maybe its something else. I'll take a look at it.

diff --git a/drivers/acpi/irq.c b/drivers/acpi/irq.c
index 7c352cba0528..0c6f9bbeac88 100644
--- a/drivers/acpi/irq.c
+++ b/drivers/acpi/irq.c
@@ -200,8 +200,6 @@ static acpi_status acpi_irq_parse_one_cb(struct acpi_resource *ares,
 		return AE_CTRL_TERMINATE;
 	case ACPI_RESOURCE_TYPE_EXTENDED_IRQ:
 		eirq = &ares->data.extended_irq;
-		if (eirq->producer_consumer == ACPI_PRODUCER)
-			return AE_OK;
 		if (ctx->index >= eirq->interrupt_count) {
 			ctx->index -= eirq->interrupt_count;
 			return AE_OK;

Comment 6 Peter Robinson 2018-05-05 09:38:50 UTC
(In reply to Mark Salter from comment #5)
> I thought fedora already had a patch for that. It's another firmware issue

We only have the serial console one:
https://src.fedoraproject.org/rpms/kernel/blob/f28/f/ACPI-scan-Fix-regression-related-to-X-Gene-UARTs.patch

Comment 7 Mark Salter 2018-05-09 14:10:01 UTC
Created attachment 1433880 [details]
Wrokaround for m400 uart irq firmware description

Here's a patch to work around the issue. This is an m400-only firmware problem. Upstream is reluctant to take these firmware workarounds, so there's not much chance of getting this in mainline.

Comment 8 Kevin Fenzi 2018-05-09 22:00:55 UTC
With the fedora 4.16.8-300 kernel and the patch from comment #7 and passing 'hest_disable' it boots (at least on a RHEL7.5-alt userspace. :)

Comment 9 Mark Salter 2018-06-07 14:43:05 UTC
*** Bug 1285107 has been marked as a duplicate of this bug. ***

Comment 10 Justin M. Forbes 2018-07-23 15:10:52 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 11 Justin M. Forbes 2018-08-29 15:15:37 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.